#include <stdio.h>
#include <string.h>
#include "cmsis_os2.h"
#include "project.h"
#include "kdrv_system.h"
#include "kdrv_cmsis_core.h"
#include "kdrv_uart.h"
#include "base.h"
#include "io.h"

extern void wdt_test_main(void);

/**
 * @brief main, main dispatch function
 */
int main(void)
{
    kdrv_system_init();
    kdrv_uart_initialize();
    kdrv_uart_console_init(MSG_PORT, MSG_PORT_BAUDRATE, NULL);   // for log
    wdt_test_main();
    SystemCoreClockUpdate();            // System Initialization
	
    osKernelInitialize();               // Initialize CMSIS-RTOS
    while(1) {
    }
}
